Subject: Re: bug#43073: Trim/hide full email headers on debbugs

From: Bob Proulx <[email-masked]>
Date: Mon, 21 Dec 2020 18:53:22 -0700

Michael Albinus wrote:
> Ludovic Courtès <[email-masked]> writes:
> >> Might be an idea, yes. But what we need more urgent are people working
> >> on the debbugs server part. Most of us, except Bob, are kind of retired.

I am still in the "starting to engage" phase with debbugs BTS.  Even
though it has been some time.  Because I use it quite a bit too and
want to keep it happy and healthy.  But I am not knowledgeable with it
enough yet.

> > Understood.  There are quite many volunteers in the projects that rely
> > on bugs.gnu.org, some of which might be willing to help.  How would you
> > go about recruiting them?
> 
> Asking on the [email-masked] ML?

With the previous call for help Michael, Noam, and myself jumped in.

> > I think the first step is to start from a “clean state”, making sure
> > bugs.gnu.org runs software that’s under version control; without that,
> > it may be hard to get people to even take a look.
> 
> That's the plan, indeed. Bob has already set up another machine from
> scratch, debbugs2p.gnu.org. It is waiting for being activated, but
> nobody has done it yet. (Bob, pls correct me if I tell a wrong status).

Well...  That's giving me too much credit by a lot.  If you remember
when this latter group assembled we as a group decided we wanted to
work through things on a clean state system.  And therefore asked the
FSF sysadmin to set up a new VM for us to work through everything
upon.

We have a new system (debbugs2p) that was set up that is useful for
that purpose.  Of course some time has passed and now that system
itself needs an OS upgrade.  But that can be easily done.  I'll take
that task.  Initially Michael and Noam had a good burst of energy
working on things.  Unfortunately that seems to have tapered off.  We
need to energize up again.  My emphasis has been on the hosting OS
part of the system and I am still learning the BTS side of the system.

> > Someone imported that GNU Debbugs modifications to a VCS repo some time
> > ago.  Is that repo still up-to-date?  Is bugs.gnu.org running a checkout
> > of that repo?
> 
> That was Noam. Unfortunately, he is silent, and doesn't react. I have
> asked him some weeks ago about the status of this repo.

As I understand it there were at least four major branches of work for
"the BTS" as we know them.  Perhaps more.  And that was the main
problem.  Converging all of the different directions of work together
into a main trunk.

Upstream there is the Debian BTS as it is running which has drifted
from the code in the upstream BTS git repository.  IIRC.  So there are
two branches that are close but different.  And then the debbugs
install also has the same with what is in its git repository versus
what is actually running.  So that is two more.

As so as I recall the problem for convergence was to decide on what
would be converged from all of those.  And we also had debbugs running
production code doing useful work that we were cautious not to break.

> I guess it wouldn't take to long to check this repo, and to bring it
> up-to-date. I have a local clone of it, which shall have followed the
> latest changes as much as I am aware of.

I haven't myself touched the BTS repository at all.  My focus has been
on things such as OS upgrades and security patches, disk space,
firewalls, web server configuration, and that side of things.

Bob